import Vue from 'vue'
import App from './App.vue'
import router from './router'
// import store from './store'

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
// import { quillEditor } from 'vue-quill-editor'
// Vue.use(quillEditor);
Vue.use(ElementUI);

// Vue.prototype.baseApiUrl = process.env.VUE_APP_BASE_API;

// 引入全局样式文件
import '@/assets/scss/index.scss'



Vue.config.productionTip = false

// 引入uView提供的对vuex的简写法文件
const $mc = {}
Vue.prototype.$mc = $mc

// 混入
let vuexStore = require('@/store/$mc.mixin.js')
Vue.mixin(vuexStore.mcStore)

//从登录页过来刷新一次
router.afterEach((to, from) => {
  if (from.name == 'Login') {
    router.go(0)
  }
})

new Vue({
  router,
  store: vuexStore.store,
  render: h => h(App)
}).$mount('#app')
